<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Vampirella: Rose for the Dead</Series>
  <Number>003</Number>
  <Web>https://www.comixology.com/Vampirella-Roses-For-The-Dead-3/digital-comic/688610</Web>
  <Summary>Vampirella and Evily are hot on the trail of their prey due to a hot tip from a Florist friend. Evily realizes she must have Klovus, her “Agathion” present to successfully perform the “Arrow Of Time” spell. Clare is sending them telepathic messages from her comatose state. Blake and Natalia are scheming to find their next victim.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB688610]</Notes>
  <Publisher>Dynamite Entertainment</Publisher>
  <Genre>Action/Adventure, Horror, Supernatural/Occult</Genre>
  <PageCount>26</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
